## org.ascape.model.event
Interface ScapeCustomizer

All Superinterfaces:
  java.lang.Cloneable, java.beans.Customizer, java.util.EventListener, HasName, ScapeListener

    public interface ScapeCustomizer

extends java.beans.Customizer, ScapeListener

A marker interface for a scape listener that customizes the scape.

Method Summary

Methods inherited from interface java.beans.Customizer
`addPropertyChangeListener, removePropertyChangeListener, setObject`

Methods inherited from interface org.ascape.model.event.ScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, scapeAdded, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped`

Methods inherited from interface org.ascape.util.HasName
`getName`